Imported dbi-link, skytools, pgbouncer and plproxy to trunk

parents
pgbouncer for Debian
--------------------
General usage information can be found in the site -
https://developer.skype.com/SkypeGarage/DbProjects/PgBouncer/UsageInfo.
Package-specific notes:
- The default directory for the socket file and PID file is
/var/run/postgresql, as is know from the postgresql package.
- For default, pgbouncer is disable daemon. Change default value to "1" in /etc/default/pgbouncer to enable.
pgbouncer (1.1.2-2) unstable; urgency=low
* Change dependency to "$shlibs:Depends" (Closes: #461383)
* Added suggest dependency postgresql package
* Change section contrib to main
-- Fernando Ike de Oliveira <fike@midstorm.org> Wed, 23 Jan 2008 13:44:23 -0200
pgbouncer (1.1.2-1) unstable; urgency=low
* Initial Release. (Closes: #427238)
-- Fernando Ike de Oliveira <fike@midstorm.org> Wed, 12 Dec 2007 16:22:15 -0200
pgbouncer (1.0.8-1) unstable; urgency=low
* Initial release. (Closes: #427295)
-- Fernando Ike de Oliveira <fike@midstorm.org> Mon, 18 Jun 2007 14:40:29 -0300
--- pgbouncer-1.0.7/etc/pgbouncer.ini 2007-07-25 16:32:38.928507645 -0300
+++ pgbouncer-1.0.7.new/etc/pgbouncer.ini 2007-07-25 16:39:48.819374145 -0300
@@ -2,13 +2,13 @@
[databases]
; foodb over unix socket
-foodb =
+foodb =
; redirect bardb to bazdb on localhost
-bardb = host=127.0.0.1 dbname=bazdb
+bardb =
; acceess to dest database will go with single user
-forcedb = host=127.0.0.1 port=300 user=baz password=foo client_encoding=UNICODE datestyle=ISO
+forcedb =
;; Configuation section
[pgbouncer]
@@ -17,8 +17,8 @@
;;; Administrative settings
;;;
-logfile = pgbouncer.log
-pidfile = pgbouncer.pid
+logfile = /var/log/pgbouncer/pgbouncer.log
+pidfile = /var/run/postgresql/pgbouncer.pid
;;;
;;; Where to wait for clients
@@ -27,26 +27,26 @@
; ip address or * which means all ip-s
listen_addr = 127.0.0.1
listen_port = 6000
-unix_socket_dir = /tmp
+unix_socket_dir = /var/run/postgresql
;;;
;;; Authentication settings
;;;
; any, trust, plain, crypt, md5
-auth_type = trust
-#auth_file = 8.0/main/global/pg_auth
-auth_file = etc/userlist.txt
+auth_type = any
+auth_file = /etc/postgresql/8.2/main/pgdata/global/pg_auth
+#auth_file = etc/userlist.txt
;;;
;;; Users allowed into database 'pgbouncer'
;;;
; comma-separated list of users, who are allowed to change settings
-admin_users = user2, someadmin, otheradmin
+admin_users =
; comma-separated list of users who are just allowed to use SHOW command
-stats_users = stats, root
+stats_users =
;;;
;;; Pooler personality questions
Source: pgbouncer
Maintainer: Fernando Ike de Oliveira <fike@midstorm.org>
Section: misc
Priority: optional
Standards-Version: 3.7.3
Build-Depends: cdbs, debhelper (>= 5), libevent-dev
Homepage: https://developer.skype.com/SkypeGarage/DbProjects/PgBouncer
Package: pgbouncer
Architecture: any
Depends: ${shlibs:Depends}
Suggests: postgresql-8.3
Description: Lightweight connection pooler for PostgreSQL
PgBouncer is connection pooler for PostgreSQL has as features:
.
* Several levels of brutality when rotating connections.
* Low memory requirements.
* It is not tied to one backend server, the destination databases
can reside on differet hosts.
* Supports online reconfiguration for most of the settings.
* Supports online restart/upgrade.
This package was debianized by Fernando Ike de Oliveira
<fike@midstorm.org> on Mon, 18 Jun 2007 14:40:29 -0300.
It was downloaded from <http://pgfoundry.org/projects/pgbouncer/>.
Copyright Holders:
Sven Suursoho <sven.suursoho@skype.net>
Marko Kreen <marko.kreen@skype.net>
License:
This package is free software; you can redistribute it and/or modify
it under the terms of the BSD License as published by Univesity
California.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
BSD License for more details.
On Debian systems, the complete text of the BSD License can be
found in '/usr/share/common-licenses/BSD'.
NEWS
README
#! /bin/sh
### BEGIN INIT INFO
# Provides: pgbouncer
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: PgBouncer daemon
# Description: PgBouncer is a Lightweight connection pooler
# for PostgreSQL.
### END INIT INFO
# Do NOT "set -e"
# PATH should only include /usr/ if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="PgBounver is connection pooler for PostgreSQL"
NAME=pgbouncer
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS="--options args"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
if [ "$START" != "1" -a "$1" != "stop" ]; then
[ "$VERBOSE" != yes ] && log_warning_msg "Not starting pgbouncer - edit /etc/default/pgbouncer and change START to be 1.";
exit 0;
fi
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
# rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
:
## debian/packages for pgbouncer
Source: pgbouncer
Section: contrib/misc
Priority: extra
Maintainer: Marko Kreen <marko.kreen@skype.net>
Standards-Version: 3.6.2
Description: Lightweight connection pooler for PostgreSQL
Copyright: BSD
Copyright 2007 Marko Kreen, Skype Technologies
Build: sh
# just in case, build with debugging options
./configure --prefix=/usr --enable-debug --enable-cassert
make V=1
Clean: sh
make clean || true
Build-Depends: libevent-dev
Package: pgbouncer
Architecture: any
Contains: unstripped
Depends: []
Description: Lightweight connection pooler for PostgreSQL
.
Install: sh
make install DESTDIR=$ROOT
Copyright 2004-2007 by PgPool Global Development Group
.\" This man page is subject to the same license as the rest of pgpool.
.\"
.TH PgBouncer 8 "25 Jul 2007"
.\" Please adjust this date whenever revising the manpage.
.SH NAME
pgbouncer \- Lightweiht connection pooler for PostgreSQL
.SH SYNOPSIS
\fBpgbouncer\fR [ \fB-d\fR ] [ \fB-R\fR ] [ \fB-v\fR ] [ \fB-h\fR | \fB-V\fR ] \fBconfig.ini\fR
.SH DESCRIPTION
\fBpgbouncer\fR is connection pool server for PostgreSQL.
.SH OPTIONS
.TP
\fB\-R\fR
Reboot pgbouncer.
.TP
\fB\-v\fR
Display extra informations.
.TP
\fB\-V\fR
Display the version of pgbouncer.
.TP
\fB-d\fR
Start as daemon.
.TP
\fB\-h\fR
Print a help message and exit.
.SH FILES
.TP
\fI@sysconfdir@/config.ini
Default configuration file.
.SH AUTHOR
This manpage was written by Fernando Ike de Oliveira <fike@midstorm.org>
.PP
Additionl information can be found in the \fBhttps://developer.skype.com/SkypeGarage/DbProjects/PgBouncer\fR.
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
DEB_CONFIGURE_EXTRA_FLAGS := --bindir=/usr/sbin
DEB_INSTALL_MANPAGES_pgbouncer := debian/pgbouncer.8
DEB_UPDATE_RCD_PARAMS = defaults 21 19
install/pgbouncer::
mv $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/pgbouncer.ini \
$(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/pgbouncer.ini.example
gzip $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/pgbouncer.ini.example
binary-predeb/pgbouncer::
patch -p0 $(CURDIR)/debian/pgbouncer/etc/pgbouncer.ini $(CURDIR)/debian/config.patch
version=3
http://pgfoundry.org/frs/?group_id=1000258 /frs/download.php/[0-9]+/pgbouncer-([0-9.]+).tgz debian uupdate
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment